devres_destroy
Prev | Device Resource Management | Next

## Name

devres_destroy — Find a device resource and destroy it

## Synopsis

`int devres_destroy (` | struct device * | dev,
| dr_release_t | release,
| dr_match_t | match,
| void * | match_data`)`;

## Arguments

`dev`

  Device to find resource from

`release`

  Look for resources associated with this release function

`match`

  Match function (optional)

`match_data`

  Data for the match function

## Description

Find the latest devres of `dev` associated with `release` and for which `match` returns 1. If `match` is NULL, it's considered to match all. If found, the resource is removed atomically and freed.

## RETURNS

0 if devres is found and freed, -ENOENT if not found.

Prev | Up | Next
devres_remove | Home | devres_open_group